#!/bin/bash
source /etc/conf.d/vdr
WAKEUP_FILE=${VIDEO}/~wakeup

ACTDATE=$(date +%s)
if [ -f $WAKEUP_FILE ] ; then
   FDATE=$(ls -l --time-style=+%s $WAKEUP_FILE | tr -s ' ' |cut -f6 -d ' ')
   DIFF=$(($ACTDATE - $FDATE))
   
   # runterfahren wenn zum Timer aufgewacht wurde
   if [ $DIFF -le 500 ] && [ $DIFF -ge -500 ]; then
      logger -s "automatic shutdown at $(date)"
      # warten bis VDR gestartet ist damit Timer gelesen werden kann
      sleep 60
      svdrpsend.pl 'HITK Power'
   fi
fi

